# Topic 1 - Spring Tools Installation and Validation

- This week we are learning about the Spring Tools Suite (STS) and Maven

## Agendas

- [Agenda 1](agenda1.md)
- [Agenda 2](agenda2.md)

## Tools / Resources

- Spring Tools, eclipse, IntelliJ and/or Visual Studio Code (VSC) Integrated Development Environments (IDE) are the tools we can utilize in this course

## NOTE:  Git and Markdown (highly suggested, NOT REQUIRED to use Markdown as all your Documentation versus Office)

- [Markdown Link](https://gitlab.com/bobby.estey/wikibob/-/blob/master/docs/markdown/README.md?ref_type=heads)

#### Directory Setup

- If you are utilizing Git and Markdown, I would highly suggest set up the architecture as follows:

|Directory|Description|
|--|--|
|c:\git\cst339|top level directory|
|c:\git\cst339\activities|top level activities directory|
|c:\git\cst339\activities\activity1..n|each activity will be inside the specific activity topic, e.g. activity1, activity2, ...|
|c:\git\cst339\milestones|top level milestones directory|
|c:\git\cst339\milestones\milestone1..n|each milestone will be inside the specific milestone, e.g. milestone1, milestone2, ...|

```
                             c:\git\cst339
                                   |
            ------------------------------------------------
            activities                            milestones
                |                                      |
---------------------------------     ------------------------------------
activity1 activity2 ... activity7     milestone1 milestone2 ... milestone7
```

## Examples:

- [Activity 1](activity01.md)
- [Milestone 1](milestone01.md)
